Package org.eclipse.m2m.atl.emftvm.trace

# Interface TraceElement

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Subinterfaces:
  `SourceElement`, `TargetElement`

All Known Implementing Classes:
  `SourceElementImpl`, `TargetElementImpl`, `TraceElementImpl`

public interface TraceElement extends org.eclipse.emf.ecore.EObject
A representation of the model object 'Element'.

See Also:
  - `TracePackage.getTraceElement()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Returns the value of the 'Name' attribute.
`org.eclipse.emf.ecore.EObject`
`getObject()`
Returns the value of the 'Object' reference.
`Object`
`getRuntimeObject()`
Returns the value of the 'Runtime Object' attribute.
`void`
`setName(String value)`
Sets the value of the '`Name`' attribute.
`void`
`setObject(org.eclipse.emf.ecore.EObject value)`
Sets the value of the '`Object`' reference.
`void`
`setRuntimeObject(Object value)`
Sets the value of the '`Runtime Object`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getName

String getName()
Returns the value of the 'Name' attribute.

If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Name' attribute.
See Also:
  - `setName(String)`
  - `TracePackage.getTraceElement_Name()`

### setName

void setName(String value)
Sets the value of the '`Name`' attribute.

Parameters:
  `value` - the new value of the 'Name' attribute.
See Also:
  - `getName()`

### getObject

org.eclipse.emf.ecore.EObject getObject()
Returns the value of the 'Object' reference.

If the meaning of the 'Object' reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Object' reference.
See Also:
  - `setObject(EObject)`
  - `TracePackage.getTraceElement_Object()`

### setObject

void setObject(org.eclipse.emf.ecore.EObject value)
Sets the value of the '`Object`' reference.

Also invokes `setRuntimeObject(Object)`.

Parameters:
  `value` - the new value of the 'Object' reference.
See Also:
  - `getObject()`

### getRuntimeObject

Object getRuntimeObject()
Returns the value of the 'Runtime Object' attribute.

Contains the runtime value of this trace element, which may or may not be an `EObject`.

Returns:
  the value of the 'Runtime Object' attribute.
See Also:
  - `setRuntimeObject(Object)`
  - `TracePackage.getTraceElement_RuntimeObject()`

### setRuntimeObject

void setRuntimeObject(Object value)
Sets the value of the '`Runtime Object`' attribute.

If `value` is an `EObject`, also invokes `setObject(EObject)`.

Parameters:
  `value` - the new value of the 'Runtime Object' attribute.
See Also:
  - `getRuntimeObject()`